# Visualization
TKService
Xw

# Xw_ListOfMFTSizes Class Reference

`#include <Xw_ListOfMFTSizes.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Xw_ListOfMFTSizes (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | Xw_ListOfMFTSizes (const Standard_ShortReal &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Standard_ShortReal &V)
Standard_EXPORT void | Destroy ()
| ~Xw_ListOfMFTSizes ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const Xw_ListOfMFTSizes & | Assign (const Xw_ListOfMFTSizes &Other)
const Xw_ListOfMFTSizes & | operator= (const Xw_ListOfMFTSizes &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Standard_ShortReal &Value)
const Standard_ShortReal & | Value (const Standard_Integer Index) const
const Standard_ShortReal & | operator() (const Standard_Integer Index) const
Standard_ShortReal & | ChangeValue (const Standard_Integer Index)
Standard_ShortReal & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | Xw_ListOfMFTSizes (const Xw_ListOfMFTSizes &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT Xw_ListOfMFTSizes::Xw_ListOfMFTSizes | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT Xw_ListOfMFTSizes::Xw_ListOfMFTSizes | ( | const Standard_ShortReal & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Xw_ListOfMFTSizes::~Xw_ListOfMFTSizes | ( |  | ) | `[inline]`

Standard_EXPORT Xw_ListOfMFTSizes::Xw_ListOfMFTSizes | ( | const Xw_ListOfMFTSizes & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const Xw_ListOfMFTSizes& Xw_ListOfMFTSizes::Assign | ( | const Xw_ListOfMFTSizes & | Other | ) |

Standard_ShortReal& Xw_ListOfMFTSizes::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void Xw_ListOfMFTSizes::Destroy | ( |  | ) |

Standard_EXPORT void Xw_ListOfMFTSizes::Init | ( | const Standard_ShortReal & | V | ) |

Standard_Boolean Xw_ListOfMFTSizes::IsAllocated | ( |  | ) | const

Standard_Integer Xw_ListOfMFTSizes::Length | ( |  | ) | const

Standard_Integer Xw_ListOfMFTSizes::Lower | ( |  | ) | const

void Xw_ListOfMFTSizes::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Xw_ListOfMFTSizes::operator new | ( | size_t | size | ) | `[inline]`

void* Xw_ListOfMFTSizes::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_ShortReal& Xw_ListOfMFTSizes::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Standard_ShortReal& Xw_ListOfMFTSizes::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const Xw_ListOfMFTSizes& Xw_ListOfMFTSizes::operator= | ( | const Xw_ListOfMFTSizes & | Other | ) | `[inline]`

void Xw_ListOfMFTSizes::SetValue | ( | const Standard_Integer | Index,
|  | const Standard_ShortReal & | Value
| ) |

Standard_Integer Xw_ListOfMFTSizes::Upper | ( |  | ) | const

const Standard_ShortReal& Xw_ListOfMFTSizes::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean Xw_ListOfMFTSizes::isAllocated `[private]`

Standard_Integer Xw_ListOfMFTSizes::myLowerBound `[private]`

Standard_Address Xw_ListOfMFTSizes::myStart `[private]`

Standard_Integer Xw_ListOfMFTSizes::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- Xw_ListOfMFTSizes.hxx